=== gisting-eval/abc/Makefile ===
spml.php: batch1.spmlsvar spmlsvar-to-php.awk
	awk -f spmlsvar-to-php.awk $< > $@

all: spml.php
