=== debian/changelog ===
apertium-sme-nob (0.6.0~r61921-2) unstable; urgency=low

  * debian/control:
    + Updated Vcs-* URLs.
    + Updated Homepage.
    + Updated to Standards-Version 4.2.1
  * Updated debian/copyright URLs.
  * Bumped to dh 11.

 -- Kartik Mistry <kartik@debian.org>  Fri, 30 Nov 2018 19:57:38 +0530

apertium-sme-nob (0.6.0~r61921-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Initial release (Closes: #814402)

 -- Kartik Mistry <kartik@debian.org>  Thu, 09 Jun 2016 21:57:45 +0530
