=== debian/control ===
Source: apertium-sme-nob
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-dev (>= 3.5),
               apertium-nob,
               cg3,
               debhelper (>= 11),
               gawk,
               giella-sme,
               giella-sme-dev,
               hfst,
               pkg-config (>= 0.21)
Standards-Version: 4.2.1
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-sme-nob.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-sme-nob

Package: apertium-sme-nob
Architecture: all
Depends: apertium (>= 3.5), cg3, hfst, ${misc:Depends}, ${shlibs:Depends}
Provides: apertium-nob-sme
Conflicts: apertium-nob-sme
Description: Apertium translation data for the Northern Sami-Norwegian Bokmål pair
 Data package providing Apertium language resources for translating
 between the Northern Sami and Norwegian Bokmål languages.
