=== debian/changelog ===
apertium-sme-nob (0.6.1+ds.1-2) unstable; urgency=medium

  * Bump urgency to medium.

 -- Kartik Mistry <kartik@debian.org>  Fri, 05 Feb 2021 11:40:02 +0530

apertium-sme-nob (0.6.1+ds.1-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Repackaged source to remove wayward symbolic links.
  * Updated debian/watch to include dversionmangle.

 -- Kartik Mistry <kartik@debian.org>  Wed, 03 Feb 2021 17:04:46 +0530

apertium-sme-nob (0.6.1-1) unstable; urgency=low

  [ Tino Didriksen ]
  * New upstream release:
    + Bundles giella-core 0.3.7 (r186347), giella-common 0.1.7 (r186320),
      giella-sme 0.1.0 (r186483), and apertium-nob 1.1.0 now.
  * Added Salsa CI support.
  * debian/control:
    + Updated Standards-Version to 4.5.1
    + Switched to debhelper-compat.
    + Added 'Rules-Requires-Root' field.
  * Added upstream metadata file.

 -- Kartik Mistry <kartik@debian.org>  Tue, 22 Dec 2020 12:02:16 +0530
