=== debian/control ===
Source: apertium-sme-nob
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-dev (>= 3.6.0),
               bc,
               cg3-dev,
               debhelper-compat (= 13),
               foma-bin,
               gawk,
               hfst,
               libhfst-dev,
               pkg-config,
               python3,
               python3-yaml,
               zip
Standards-Version: 4.5.1
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-sme-nob.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-sme-nob
Rules-Requires-Root: no

Package: apertium-sme-nob
Architecture: all
Depends: apertium (>= 3.6.0), cg3, hfst, ${misc:Depends}, ${shlibs:Depends}
Provides: apertium-nob-sme
Conflicts: apertium-nob-sme
Description: Apertium translation data for the Northern Sami-Norwegian Bokmål pair
 Data package providing Apertium language resources for translating
 between the Northern Sami and Norwegian Bokmål languages.
