=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apertium-sme-nob-$1.tar.gz%, dversionmangle=auto" \
  https://github.com/apertium/apertium-sme-nob/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
